[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?book_name ?book WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
      template='{{#each bindings}}
        <semantic-link uri="{{book.value}}" urlqueryparam-tab="parts">{{book_name.value}}</semantic-link>
      {{/each}}'
    >
    </semantic-query>
  </li>
</ol>

<h2>Edit part fragment of book</h2>

[[#if (urlParam "attributeassignmentiri")]]
  [[#if (urlParam "bookiri")]]
    <semantic-query
      query='SELECT ?book_name WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
      template='<p>Use this form to assign a part fragment to the book {{#each bindings}} {{book_name.value}} {{/each}}</p>'
      >
     </semantic-query>

    <semantic-form
        fields="[[fieldDefinitions
          note="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/note"
          part_fragment="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_fragment"
          pageFrom="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_page_from"
          pageTo="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_page_to"
          record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/attribute_assignment_record_type"
        ]]"
        browser-persistence="false"
        persistence="LDP"
        post-action="[[urlParam "bookiri"]]"
        urlqueryparam-tab="parts"
        subject="[[urlParam "attributeassignmentiri"]]"
      >
      <div style="margin-bottom:2em">
        <semantic-form-select-input for="part_fragment"></semantic-form-select-input>

        <semantic-query
          query='SELECT ?part WHERE {
            <[[urlParam "attributeassignmentiri"]]> ecrm:P141_assigned ?expression .
            ?expression efrbroo:R15i_is_fragment_of ?part .
          }'
          template='{{#each bindings}}
            <semantic-link uri="{{part.value}}"
              urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
              urlqueryparam-bookiri="[[urlParam "bookiri"]]"
              urlqueryparam-returniri="http://sphaera.mpiwg-berlin.mpg.de/resource/editPartFragmentInBook"
              >Edit Part</semantic-link>{{/each}}'
        ></semantic-query>

      </div>

      <semantic-form-text-input for="pageFrom"></semantic-form-text-input>
      <semantic-form-text-input for="pageTo"></semantic-form-text-input>
      <semantic-form-text-input for="note"></semantic-form-text-input>

        <div class="disabled hidden-field">
          <semantic-form-text-input for="record_type"></semantic-form-text-input>
        </div>

        <div class="text-right form-submit">
          <semantic-link uri="[[urlParam "bookiri"]]" urlqueryparam-tab="parts" class="btn btn-default btn-md">Cancel</semantic-link>
          <button name="submit" class="btn btn-primary btn-md">Save</button>
        </div>
      </semantic-form>

      [[> :modalAddAnnotationToBook resourceiri="bookiri"]]

  [[else]]
  	No book has been selected. This form needs to be accessed via a book record.
  [[/if]]
[[else]]
	No part has been selected. This form needs to be accessed via a book record.
[[/if]]

[[> :footer]]
